<?php /*
	Template Name: Archives
*/ ?>

<?php /* Counts the posts, comments and categories on your blog */
	$numposts = $wpdb->get_var("SELECT COUNT(1) FROM $wpdb->posts WHERE post_status = 'publish' AND post_type != 'page'");
	if (0 < $numposts) $numposts = number_format($numposts); 
	
	$numcomms = $wpdb->get_var("SELECT COUNT(1) FROM $wpdb->comments WHERE comment_approved = '1'");
	if (0 < $numcomms) $numcomms = number_format($numcomms);

	$numcats  = wp_count_terms('category');
	$numtags = wp_count_terms('post_tag');

?>

<?php get_header(); ?>
	<div id="top">
			<!-- ?php the_post(); ? -->
			<div id="post-<?php the_ID(); ?>" class="post">

				<div class="page-head">
					<h2 class="posttitle" style="text-align:center;"><a href="<?php the_permalink(); ?>" rel="bookmark" title='<?php printf( __('Permanent Link to "%s"'), wp_specialchars(strip_tags(the_title('', '', false)),1) ); ?>'><?php the_title(); ?></a></h2>

				</div>

				<div class="postcontent">

					<p><?php printf(__('This is the frontpage of the %1$s archives. Currently the archives are spanning %2$s posts and %3$s comments, contained within the meager confines of %4$s categories and %5$s tags. Through here, you will be able to move down into the archives by way of time, categories or tags. If you are looking for something specific, perhaps you should try searching instead.'), get_bloginfo('name'), $numposts, $numcomms, $numcats, $numtags); ?></p>
<br />
		<!-- Search Box Begins  -->
	<form method="get" id="searchform" action="<?php echo $_SERVER['PHP_SELF']; ?>">
	<input type="text" size="40" value="Search this site" onfocus="this.value='';" onblur="this.value='Search this site';" name="s" id="s" />
	</form>
		<!-- Search Box Ends -->
<br />
				<div style="width:700px;margin:5px auto;" class="archives">
				<div style="float:left;width:330px;margin:2px auto;">
					<h3><?php _e('Browse by Month'); ?></h3>
					<ul class="archive-list">
						<?php wp_get_archives('show_post_count=1'); ?>
					</ul>

				</div>
				<div style="float:right;width:330px;margin:2px auto;">
					<h3><?php _e('Browse by Category'); ?></h3>
					<ul class="archive-list">
						<?php wp_list_categories('title_li=&show_count=1'); ?>
					</ul>
				</div>
				</div>
				<div style="clear:both;"></div>

					<?php if (function_exists('UTW_ShowWeightedTagSetAlphabetical')) { ?>
					<div style="width:700px;margin:5px auto;" class="archives">
					<h3><?php _e('Browse by Tags'); ?></h3>
					<p><?php printf(__('The following is a list of the tags used at %s, \'weighed\' and \'colored\' in relation to their relative usage.'), get_bloginfo('name')); ?></p>

					<?php UTW_ShowWeightedTagSetAlphabetical('coloredsizedtagcloud','','0'); ?>
					</div>
					<?php } ?>

				</div> <!-- /postcontent -->
			</div> <!-- /post-ID -->

	</div> <!-- /top -->


<?php get_footer(); ?>